commit:     def13df348a121f7c470cb3dc44f333ab7dbac59
Author:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 25 22:50:19 2016 +0000
Commit:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
CommitDate: Fri Mar 25 22:51:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=def13df3

sci-geosciences/googleearth: bump version

Package-Manager: portage-2.2.28
Manifest-Sign-Key: 0xCA3E7BF67F979BE5

 sci-geosciences/googleearth/Manifest               |  22 +++
 .../googleearth/googleearth-7.1.4.1529.ebuild      | 171 +++++++++++++++++++++
 2 files changed, 193 insertions(+)

diff --git a/sci-geosciences/googleearth/Manifest 
b/sci-geosciences/googleearth/Manifest
index 70bc61f..ee3d875 100644
--- a/sci-geosciences/googleearth/Manifest
+++ b/sci-geosciences/googleearth/Manifest
@@ -1,2 +1,24 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
 DIST GoogleEarthLinux-7.1.2.2041_amd64.deb 46385468 SHA256 
5a14d83ea28b3e940b83395ec93222fefd250f908d9a4b00074cc966ef9acd03 SHA512 
90862ca4e1d6f61cccd89911a95d7a55f390e7adfe0cfcc68c67a5ce2622537c74d51ad8cb8c8394940ae773276f532f23bbc1dd043edbf50f891b78ce48e52c
 WHIRLPOOL 
e35b4061416c5754e5fedbbc38f51de4fafd67e40417afe6cd0f4972469614653f55c992053b678cfc50c79528bbb91dce72f7650f2085eb113b264b2e7b4c4a
 DIST GoogleEarthLinux-7.1.2.2041_i386.deb 45444652 SHA256 
9f82137fc11fb400b8609bf65c0b87f029e595c07edff6e4ba9e836e7bdd3120 SHA512 
7ff8b1a33e27b0a990edfd93614b9ca0b132c35c6fe0e730d298098bb412d36184aa7af90329a7f962de4c013ff18e378850d813e44c2fadd237dbbcb51af388
 WHIRLPOOL 
384fd53abf82c097e25a468f5fd00e1948220104ebfa25bd41d53670bf7d3562c415eba5330c59b0b4dca53c2adc46be6b0f7b6145337e1f15ac7a21d3ef8e64
+DIST GoogleEarthLinux-7.1.4.1529_amd64.deb 46385468 SHA256 
5a14d83ea28b3e940b83395ec93222fefd250f908d9a4b00074cc966ef9acd03 SHA512 
90862ca4e1d6f61cccd89911a95d7a55f390e7adfe0cfcc68c67a5ce2622537c74d51ad8cb8c8394940ae773276f532f23bbc1dd043edbf50f891b78ce48e52c
 WHIRLPOOL 
e35b4061416c5754e5fedbbc38f51de4fafd67e40417afe6cd0f4972469614653f55c992053b678cfc50c79528bbb91dce72f7650f2085eb113b264b2e7b4c4a
+DIST GoogleEarthLinux-7.1.4.1529_i386.deb 45444652 SHA256 
9f82137fc11fb400b8609bf65c0b87f029e595c07edff6e4ba9e836e7bdd3120 SHA512 
7ff8b1a33e27b0a990edfd93614b9ca0b132c35c6fe0e730d298098bb412d36184aa7af90329a7f962de4c013ff18e378850d813e44c2fadd237dbbcb51af388
 WHIRLPOOL 
384fd53abf82c097e25a468f5fd00e1948220104ebfa25bd41d53670bf7d3562c415eba5330c59b0b4dca53c2adc46be6b0f7b6145337e1f15ac7a21d3ef8e64
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2
+
+iQIcBAEBCAAGBQJW9cCkAAoJEJ1Z0/aIkeRfFOcQALSkfj9sXYD2gBN6jsiNU4E4
+pdmft6lZfsBAekqmahGpu0jMtX1OQTMYUDTWJm4YcjMTw9vCF1Vw0Zl32OSJSv0y
+whb84UlQbxn5XK5YHpr9swYzrAaKdW2nley5HhM8+MtEsjmqgrr4OeSUaRh8CsCI
+b9UtG8x6QCQsP44OZ2A36ouC5K4JwyxyW+el6nRTH6AlZqDOcD60wDfv0fhCPYIE
+ogUR6jriixChgYmh9CnJNnI0VfTo0IjXDd4Wm5ikSwzu6lneIeZ8cUK8LqEUwy6d
+LwoJb2D4Q4MaqNlU3o/KcdQQfmS0HlT+fFy6lMud9iBS6a4NULnQCBwamdpSnQ+H
+NiGVB0ME8wq8T8emS/N0Ko7ASyQCVLg40DUiCBeInCU3R6QPUgwJDDbqQNkbDdKU
+BL4dJ8JRR04MLCpkomTftp6ZvpFh9AQCUCH+lzp0H0mAYsrDLrv78zIKxH+xNXYu
+3HC8ikgxAm+YdJlDwVeG3tSe+pNfbvtVDUGjfD2iW3S2of48NEVIy8nvql6iK7PT
+CEzP7ADJfzaCUVTpmeMlEgN2R309VU+J0AWtyTkKauR1JhXpnWCE/rTyRuIbdTX6
+SCRPb/T1e3bu3prDUs7qkyDbW5xmC8DdzN3iv4zrpgiSGx4PsOlO7x/1up+PYL2z
+eLacr1lVQ19Emvdu4/hn
+=9RX2
+-----END PGP SIGNATURE-----

diff --git a/sci-geosciences/googleearth/googleearth-7.1.4.1529.ebuild 
b/sci-geosciences/googleearth/googleearth-7.1.4.1529.ebuild
new file mode 100644
index 0000000..d1d5f7f
--- /dev/null
+++ b/sci-geosciences/googleearth/googleearth-7.1.4.1529.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit pax-utils eutils unpacker fdo-mime gnome2-utils
+
+DESCRIPTION="A 3D interface to the planet"
+HOMEPAGE="https://earth.google.com/";
+# no upstream versioning, version determined from help/about
+# incorrect digest means upstream bumped and thus needs version bump
+SRC_URI="x86? ( 
https://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb
+                       -> GoogleEarthLinux-${PV}_i386.deb )
+       amd64? ( 
https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb
+                       -> GoogleEarthLinux-${PV}_amd64.deb )"
+LICENSE="googleearth GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="mirror splitdebug"
+IUSE="+bundled-libs"
+
+QA_PREBUILT="*"
+
+# TODO: find a way to unbundle libQt
+# ./googleearth-bin: symbol lookup error: ./libbase.so: undefined symbol: 
_Z34QBasicAtomicInt_fetchAndAddOrderedPVii
+
+RDEPEND="
+       dev-libs/glib:2
+       dev-libs/nspr
+       media-libs/fontconfig
+       media-libs/freetype
+       net-misc/curl
+       sys-devel/gcc[cxx]
+       sys-libs/zlib
+       virtual/glu
+       virtual/opengl
+       virtual/ttf-fonts
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXi
+       x11-libs/libXext
+       x11-libs/libXrender
+       x11-libs/libXau
+       x11-libs/libXdmcp
+       !bundled-libs? (
+               dev-db/sqlite:3
+               dev-libs/expat
+               dev-libs/nss
+               sci-libs/gdal
+               sci-libs/proj
+       )"
+DEPEND="dev-util/patchelf"
+
+S=${WORKDIR}/opt/google/earth/free
+
+pkg_nofetch() {
+       einfo "Wrong checksum or file size means that Google silently replaced 
the distfile with a newer version."
+       einfo "Note that Gentoo cannot mirror the distfiles due to license 
reasons, so we have to follow the bump."
+       einfo "Please file a version bump bug on https://bugs.gentoo.org 
(search existing bugs for googleearth first!)."
+       einfo "By redigesting the file yourself, you will install a different 
version than the ebuild says, untested!"
+}
+
+src_unpack() {
+       # default src_unpack fails with deb2targz installed, also this unpacks 
the data.tar.lzma as well
+       unpack_deb GoogleEarthLinux-${PV}_$(usex amd64 "amd64" "i386").deb
+
+       if ! use bundled-libs ; then
+               einfo "removing bundled libs"
+               cd opt/google/earth/free || die
+               # sci-libs/gdal
+               rm -v libgdal.so.1 || die
+               # dev-db/sqlite
+               rm -v libsqlite3.so || die
+               # dev-libs/nss
+               rm -v libplc4.so libplds4.so libnspr4.so libnssckbi.so 
libfreebl3.so \
+                       libnssdbm3.so libnss3.so libnssutil3.so libsmime3.so 
libnsssysinit.so \
+                       libsoftokn3.so libssl3.so || die
+               # dev-libs/expat
+               rm -v libexpat.so.1 || die
+               # sci-libs/proj
+               rm -v libproj.so.0 || die
+               # dev-qt/qtcore:4 dev-qt/qtgui:4 dev-qt/qtwebkit:4
+#              rm -v libQt{Core,Gui,Network,WebKit}.so.4 || die
+#              rm -rv plugins/imageformats || die
+       fi
+}
+
+src_prepare() {
+       # we have no ld-lsb.so.3 symlink
+       # thanks to Nathan Phillip Brink <[email protected]> for 
suggesting patchelf
+       einfo "running patchelf"
+       patchelf --set-interpreter /lib/ld-linux$(usex amd64 "-x86-64" "").so.2 
${PN}-bin || die "patchelf failed"
+
+       # Set RPATH for preserve-libs handling (bug #265372).
+       local x
+       for x in * ; do
+               # Use \x7fELF header to separate ELF executables and libraries
+               [[ -f ${x} && $(od -t x1 -N 4 "${x}") == *"7f 45 4c 46"* ]] || 
continue
+               patchelf --set-rpath '$ORIGIN' "${x}" ||
+                       die "patchelf failed on ${x}"
+       done
+       for x in plugins/*.so ; do
+               [[ -f ${x} ]] || continue
+               patchelf --set-rpath '$ORIGIN/..' "${x}" ||
+                       die "patchelf failed on ${x}"
+       done
+       for x in plugins/imageformats/*.so ; do
+               [[ -f ${x} ]] || continue
+               patchelf --set-rpath '$ORIGIN/../..' "${x}" ||
+                       die "patchelf failed on ${x}"
+       done
+
+       epatch "${FILESDIR}"/${PN}-${PV%%.*}-desktopfile.patch
+}
+
+src_install() {
+       make_wrapper ${PN} ./${PN} /opt/${PN} .
+
+       insinto /usr/share/mime/packages
+       doins "${FILESDIR}/${PN}-mimetypes.xml" || die
+
+       domenu google-earth.desktop
+
+       for size in 16 22 24 32 48 64 128 256 ; do
+               newicon -s ${size} product_logo_${size}.png google-earth.png
+       done
+
+       rm -rf xdg-mime xdg-settings google-earth google-earth.desktop 
product_logo_*
+
+       insinto /opt/${PN}
+       doins -r *
+
+       fperms +x /opt/${PN}/${PN}{,-bin}
+       cd "${ED}" || die
+       find . -type f -name "*.so.*" -exec fperms +x '{}' +
+
+       pax-mark -m "${ED%/}"/opt/${PN}/${PN}-bin
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       elog "When you get a crash starting Google Earth, try adding a file 
~./.config/Google/GoogleEarthPlus.conf"
+       elog "with the following options:"
+       elog "lastTip = 4"
+       elog "enableTips = false"
+       elog ""
+       elog "In addition, the use of free video drivers may cause problems 
associated with using the Mesa"
+       elog "library. In this case, Google Earth 6x likely only works with the 
Gallium3D variant."
+       elog "To select the 32bit graphic library use the command:"
+       elog "  eselect mesa list"
+       elog "For example, for Radeon R300 (x86):"
+       elog "  eselect mesa set r300 2"
+       elog "For Intel Q33 (amd64):"
+       elog "  eselect mesa set 32bit i965 2"
+       elog "You may need to restart X afterwards"
+
+       fdo-mime_desktop_database_update
+       fdo-mime_mime_database_update
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       fdo-mime_desktop_database_update
+       fdo-mime_mime_database_update
+       gnome2_icon_cache_update
+}

Reply via email to